Debian Bug report logs - #356853
Contains files without any license statement

version graph

Package: texlive-latex-base; Maintainer for texlive-latex-base is Debian TeX Maintainers <debian-tex-maint@lists.debian.org>; Source for texlive-latex-base is src:texlive-base.

Reported by: Frank Küster <frank@debian.org>

Date: Tue, 14 Mar 2006 14:03:06 UTC

Severity: serious

Tags: etch-ignore

Fixed in version 2007-14

Done: Frank Küster <frank@kuesterei.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, TeXLive <texlive@tug.org>, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
New Bug report received and forwarded. Copy sent to TeXLive <texlive@tug.org>, teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tetex-extra: No license information for bbm fonts
Date: Tue, 14 Mar 2006 14:59:05 +0100
Package: tetex-extra
Version: 3.0-15
Severity: serious

The bbm fonts included in teTeX and TeX-Live (bbm.tpm) don't seem to
have any licensing information.  They are catalogue'ed as "unknown" and
have no license statement in the files.

Does anybody know the author,

 _ _       Gilles F. ROBERT
|          Unit\'e de Math\'ematiques Pures et Appliqu\'ees
|  _ _ _   \'Ecole Normale Sup\'erieure
|   |   |  46, All\'ee d'Italie
|_ _|_ _|  69364 Lyon Cedex (FRANCE)
    |  \
    |   \  e-mail : gfrobert@umpa.ens-lyon.fr

He doesn't seem to be listed at
http://www.umpa.ens-lyon.fr/UMPA/webmaster/Personnels/membres.html where
the e-mail points to.

Regards, Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to karl@freefriends.org (Karl Berry):
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 356853@bugs.debian.org (full text, mbox):

From: karl@freefriends.org (Karl Berry)
To: frank@debian.org, 356853@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: [tex-live] Bug#356853: tetex-extra: No license information for bbm fonts
Date: Tue, 14 Mar 2006 10:55:56 -0600
    have any licensing information.  They are catalogue'ed as "unknown" and
    have no license statement in the files.

Sigh.  I'm sure Gilles simply copied an older version of the CM files
which did not have license statements, and intended the same license as
CM (inasmuch as he thought about it at all).

    Does anybody know the author,

I don't know him, but I wrote Michel Goossens about it.



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 356853@bugs.debian.org
Subject: [Karl Berry] [owner@bugs.debian.org: Message with no Package: tag cannot be processed! ([tex-live] Bug#356853: tetex-extra: No license information for bbm fonts)]
Date: Tue, 14 Mar 2006 19:09:31 +0100
[Message part 1 (message/rfc822, inline)]
From: karl@freefriends.org (Karl Berry)
To: frank@debian.org
Subject: [owner@bugs.debian.org: Message with no Package: tag cannot be processed! ([tex-live] Bug#356853: tetex-extra: No license information for bbm fonts)]
Date: Tue, 14 Mar 2006 11:24:10 -0600
In case you want to file my little reply somehow ...

Date: Tue, 14 Mar 2006 09:18:07 -0800
From: owner@bugs.debian.org (Debian Bug Tracking System)
To: karl@freefriends.org (Karl Berry)
Subject: Message with no Package: tag cannot be processed! ([tex-live]
 Bug#356853: tetex-extra: No license information for bbm fonts)

This is a multi-part message in MIME format...

------------=_1142356687-24640-0
Content-Type: text/plain
Content-Disposition: inline
Content-Transfer-Encoding: binary


Your message didn't have a Package: line at the start (in the
pseudo-header following the real mail header), or didn't have a
pseudo-header at all.  Your message has been filed under junk but
otherwise ignored.

This makes it much harder for us to categorise and deal with your
problem report. Please _resubmit_ your report to submit@bugs.debian.org
and tell us which package the report is on. For help, check out
http://www.debian.org/Bugs/Reporting.

Your message was dated Tue, 14 Mar 2006 10:55:56 -0600 and had
message-id <200603141655.k2EGtup10610@f7.net>
and subject [tex-live] Bug#356853: tetex-extra: No license information for bbm fonts.
The complete text of it is attached to this message.

If you need any assistance or explanation please contact me.

Debian bug tracking system administrator
(administrator, Debian Bugs database)


------------=_1142356687-24640-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by bugs.debian.org; 14 Mar 2006 16:55:58 +0000
Return-path: <karl@freefriends.org>
Received: from server1.f7.net ([64.34.169.74] helo=f7.net)
	by spohr.debian.org with esmtp (Exim 4.50)
	id 1FJCoP-0004xn-OG; Tue, 14 Mar 2006 08:55:57 -0800
X-Envelope-From: karl@freefriends.org
X-Envelope-To: submit@bugs.debian.org
Received: (from karl@localhost)
	by f7.net (8.11.7-20030920/8.11.7) id k2EGtup10610;
	Tue, 14 Mar 2006 10:55:56 -0600
Date: Tue, 14 Mar 2006 10:55:56 -0600
Message-Id: <200603141655.k2EGtup10610@f7.net>
From: karl@freefriends.org (Karl Berry)
To: frank@debian.org, 356853@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: [tex-live] Bug#356853: tetex-extra: No license information for bbm
	fonts
In-Reply-To: <86veuht9ee.fsf@alhambra.kuesterei.ch>
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02
MIME-Version: 1.0

    have any licensing information.  They are catalogue'ed as "unknown" and
    have no license statement in the files.

Sigh.  I'm sure Gilles simply copied an older version of the CM files
which did not have license statements, and intended the same license as
CM (inasmuch as he thought about it at all).

    Does anybody know the author,

I don't know him, but I wrote Michel Goossens about it.

------------=_1142356687-24640-0--

[Message part 2 (text/plain, inline)]

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 356853@bugs.debian.org
Subject: Further files without license statement
Date: Wed, 15 Mar 2006 00:53:55 +0100
retitle 356853 Contains files without any license statement
found 356853 2.0.2c-8
thanks

Hi,

here is one more file without a license statement:  

/usr/share/texmf-tetex/tex/latex/cite/chapterbib.sty
/usr/share/texmf/source/latex/cite/chapterbib.sty

Copyright is by Donald Arsenau who put the other files in that directory
into Public Domain.  

I intend not to contact him before we have an overview of the licensing
status of our texmf tree, since I don't want to ask him about a new file
every other week. 

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Changed Bug title. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 2.0.2c-8. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 356853@bugs.debian.org
Subject: More of them...
Date: Wed, 15 Mar 2006 19:23:53 +0100
Ulrik Vieth has uploaded the concmath fonts to CTAN, plus a LaTeX style
file to use them, but only the latter has a license statement (in its
README file).

I intend to contact once I've verified there are no other unclear files
from him in teTeX.

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information stored:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #34 received at 356853-quiet@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 356853-quiet@bugs.debian.org
Subject: [Karl Berry] bbm fonts
Date: Wed, 15 Mar 2006 19:14:48 +0100
[Message part 1 (message/rfc822, inline)]
From: karl@freefriends.org (Karl Berry)
To: frank@debian.org
Cc: preining@logic.at
Subject: bbm fonts
Date: Wed, 15 Mar 2006 11:57:50 -0600
FYI, I got an answer right away from Gilles Robert about the bbm fonts,
and I hope a new readme file (at least) will be uploaded soon
specifically stating some free license terms or another.

[Message part 2 (text/plain, inline)]

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 356853@bugs.debian.org
Subject: One more file without a license statement
Date: Tue, 28 Mar 2006 14:44:52 +0200
Hi,

once again: 

source/latex/misc/tabls.sty contains a copyright statement (again
D. Arsenau), but no license.

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 356853@bugs.debian.org
Subject: Re: Bug#356853: One more file without a license statement
Date: Tue, 28 Mar 2006 15:36:29 +0200
Frank Küster <frank@kuesterei.ch> wrote:

> Hi,
>
> once again: 

and a couple more:

+- Problematic files by Donald Arseneau:
 
+  * chapterbib.sty: no license information
+  * tabls.sty: no license information
+  * import.sty: "this software is free of any restrictions"
+  * relsize.sty: "public domain", nothing else
+  * shapepar.sty: noncommercial
+  * version.sty: no license information, not only by D.A.
+  * selectp.sty: no license information
+
+- citesort.sty: no license statement
+
+- index.doc: no license statement - probably unused

Regards, Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 356853@bugs.debian.org
Subject: More files without license statement
Date: Thu, 30 Mar 2006 14:44:37 +0200
In source/latex/eepic, only the *sty files have a license statement
(Public Domain), but all the others (examples, documentation source)
don't. 

What a pity, this hasn't been touched for more than a decade.

Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@polya.uklinux.net>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 356853@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@polya.uklinux.net>
To: Frank K??ster <frank@kuesterei.ch>, 356853@bugs.debian.org
Subject: Re: Bug#356853: More files without license statement
Date: Thu, 30 Mar 2006 16:07:32 +0100
On Thu, Mar 30, 2006 at 02:44:37PM +0200, Frank K??ster wrote:
> In source/latex/eepic, only the *sty files have a license statement
> (Public Domain), but all the others (examples, documentation source)
> don't. 
> 
> What a pity, this hasn't been touched for more than a decade.

At least it's that way round :)

   Julian



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: info@engebretsen.se
Cc: 356853@bugs.debian.org
Subject: Scalable LaTeX font: Licensing question regarding ae fonts
Date: Tue, 11 Apr 2006 10:41:52 +0200
Grüezi,

I assume that I am right in attributing the ae fonts collection for
LaTeX to you?  While doing a license cleanup in teTeX and TeXLive, I
noticed that there is a small problem with this package.  It contains a
copy of the GPL which probably indicates that it is intended to be
released under that license.  

However, this is not sufficient to put a work under GPL; instead one has
to follow the procedure described in the text:  Namely putting a short
GPL notice into each file, or instead listing all files and saying they
are all under GPL.

I would be grateful if you could clarify this.  Since we're both in
Zurich, you're welcome to give me a phone call at 044-635-5536 (work
hours) or at home (043-5393706).

Merci vielmal,
Regards, Frank

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: James Kilfiger <james.kilfiger@gmail.com>
Cc: 356853@bugs.debian.org
Subject: [Wolfgang May] Re: LaTeX packages
Date: Fri, 28 Apr 2006 21:10:13 +0200
[Message part 1 (text/plain, inline)]
Dear James,

I'm unsure but I think I have not yet forwared you James' mail.  He
agrees with the public domain statement you suggested.  Great!

Regards, Frank

[Message part 2 (message/rfc822, inline)]
From: Wolfgang May <may@informatik.uni-goettingen.de>
To: Frank Küster <frank@kuesterei.ch>
Cc: Frank Küster <frank@debian.org>
Subject: Re: LaTeX packages
Date: Wed, 5 Apr 2006 09:36:52 +0200 (CEST)
[Message part 3 (text/plain, inline)]
Dear Mr. Kuester,

> es tut mir leid, dass ich Sie in einer Sache kontaktieren muss, von der
> ich weiß, dass sie sie eigentlich abgegeben haben, aber es geht um
> rechtliche Fragen, die Sie nur selber beantworten können.
> 
> Im extsizes-Paket, das Sie einst geschrieben haben und das jetzt von
> James Kilfiger betreut wird, sind einige Dateien enthalten, die keine
> Copyright-Angabe (außer der der Basisklassen, also des LaTeX Project)
> und keine Lizenz tragen.  Dies bedeutet streng genommen, dass man
> überhaupt keine Rechte hat, sie weiterzugeben.  Ich fände es wichtig,
> dass das geklärt wird.
> 
> James Kilfiger hat vorgeschlagen, folgenden Text einzufügen:
> 
> Copyright Wolfgang May.
> This file may be used for any purpose, modified, and redistributed, providing the moral rights of the author are
> observed.
> NO WARRANTY to the maximum extent of applicable law.
> Maintained by James Kilfiger <zeimusu@yahoo.co.uk>

> 
> 
> also eine Public-Domain-Lizenz.  Andererseits haben Sie damals in die
> meisten Dateien einen LPPL-Header eingefügt, daher sind wir uns nicht
> sicher, ob sie nicht lieber diese Lizenz bevorzugen, und deswegen habe
> ich mich entschlossen, Sie zu kontaktieren.
> 
> Es handelt sich um die Dateien
> 
> autopagewidth.sty
> extbook.cls
> extletter.cls
> extproc.cls
> extsizes.sty
> 
> Ich wäre Ihnen dankbar, wenn Sie sich die kurze Zeit nehmen könnten und
> mir antworteten.   Ach ja, im Idealfall auf englisch, fürs Archiv.

No problem. I completely agree with the text proposed by James.

Best Regards,
Wolfgang May
[Message part 4 (text/plain, inline)]

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to "Lars Engebretsen" <lars@engebretsen.se>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 356853@bugs.debian.org (full text, mbox):

From: "Lars Engebretsen" <lars@engebretsen.se>
To: "Frank Küster" <frank@kuesterei.ch>
Cc: 356853@bugs.debian.org
Subject: Re: Scalable LaTeX font: Licensing question regarding ae fonts
Date: Thu, 21 Sep 2006 19:54:31 +0200
Grüezi,

My apologies for the delay, some of my mails were not forwarded
correctly to me...

Basically, I don't really have the energy to care about intricacies of
licenses, but if you feel that a) you want to do the work and provide
me with a file that I can then upload to CTAN, and b) that this does
not change the licensing in such a way that the package can no longer
be in teTeX and friends, I'm fine with doing the necessary updates.

   /Lars

On 4/11/06, Frank Küster <frank@kuesterei.ch> wrote:
> Grüezi,
>
> I assume that I am right in attributing the ae fonts collection for
> LaTeX to you?  While doing a license cleanup in teTeX and TeXLive, I
> noticed that there is a small problem with this package.  It contains a
> copy of the GPL which probably indicates that it is intended to be
> released under that license.
>
> However, this is not sufficient to put a work under GPL; instead one has
> to follow the procedure described in the text:  Namely putting a short
> GPL notice into each file, or instead listing all files and saying they
> are all under GPL.
>
> I would be grateful if you could clarify this.  Since we're both in
> Zurich, you're welcome to give me a phone call at 044-635-5536 (work
> hours) or at home (043-5393706).
>
> Merci vielmal,
> Regards, Frank
>
> --
> Frank Küster
> Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
> Debian Developer (teTeX)
>
>

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: "Lars Engebretsen" <lars@engebretsen.se>
Cc: 356853@bugs.debian.org
Subject: Re: Bug#356853: Scalable LaTeX font: Licensing question regarding ae fonts
Date: Sun, 01 Oct 2006 17:21:50 +0200
[Message part 1 (text/plain, inline)]
Dear Lars,

"Lars Engebretsen" <lars@engebretsen.se> wrote:

> Basically, I don't really have the energy to care about intricacies of
> licenses, but if you feel that a) you want to do the work and provide
> me with a file that I can then upload to CTAN, and b) that this does
> not change the licensing in such a way that the package can no longer
> be in teTeX and friends, I'm fine with doing the necessary updates.

Your conditions look very reasonable to me. I discussed this with Frank
Küster, and we agreed that using the LPPL (the LaTeX Project Public
License) is probably the most natural choice for the ae package.

I had a look at all source files in order to provide you with a
ready-to-upload tarball (or zip file, whichever is more convenient to
you), but there are a few complications: several files weren't written
by you originally, or have been modified by other people. We need these
people (i.e., the copyright holders of the files) to tell us that they
agree distributing these files under the LPPL.

More precisely, I think it would be wise to use the wording suggested in
the LPPL, i.e. :

  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.

You can read the whole LPPL text here:

  http://www.latex-project.org/lppl/lppl-1-3c.html


I'll now paste the various contributors I identified, along with the
files they (appear to) hold copyright on:

,----
| Alan Jeffrey
| 
|   src/aelatin.mtx
|   src/aelatint.mtx
|   src/aet1.etx
|   src/ot1tt.etx
| 
| 
| Matthias Koeppe
| 
|   src/aelatin.mtx
| 
| 
| Sebastian Rahtz
| 
|   src/aet1.etx
| 
| 
| Denis Roegel
| 
|   tex/aecompl.sty
| 
| 
| Rolf Niepraschk
| 
|   tex/ae.sty
| 
| 
| Gilbert Ritschard
| 
|   tex/ae.sty
`----

Do you want me to contact these people, or do you prefer taking care of
that yourself?

In the latter case, I can provide you with their email addresses, as I
have collected them as part of my little investigation.

Many thanks for your cooperation.

Regards,

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #79 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: "Lars Engebretsen" <info@engebretsen.se>
Cc: 356853@bugs.debian.org
Subject: Re: Bug#356853: Scalable LaTeX font: Licensing question regarding ae fonts
Date: Sun, 01 Oct 2006 18:42:15 +0200
[Message part 1 (text/plain, inline)]
[ Resending the message to a different address, as the previous one
  bounced:

<lars@engebretsen.se>: host resolver3.levonline.com[217.70.32.98] said: 554
    <lars@engebretsen.se>: Recipient address rejected: no such user (in reply
    to RCPT TO command) ]

Dear Lars,

"Lars Engebretsen" <lars@engebretsen.se> wrote:

> Basically, I don't really have the energy to care about intricacies of
> licenses, but if you feel that a) you want to do the work and provide
> me with a file that I can then upload to CTAN, and b) that this does
> not change the licensing in such a way that the package can no longer
> be in teTeX and friends, I'm fine with doing the necessary updates.

Your conditions look very reasonable to me. I discussed this with Frank
Küster, and we agreed that using the LPPL (the LaTeX Project Public
License) is probably the most natural choice for the ae package.

I had a look at all source files in order to provide you with a
ready-to-upload tarball (or zip file, whichever is more convenient to
you), but there are a few complications: several files weren't written
by you originally, or have been modified by other people. We need these
people (i.e., the copyright holders of the files) to tell us that they
agree distributing these files under the LPPL.

More precisely, I think it would be wise to use the wording suggested in
the LPPL, i.e. :

  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.

You can read the whole LPPL text here:

  http://www.latex-project.org/lppl/lppl-1-3c.html


I'll now paste the various contributors I identified, along with the
files they (appear to) hold copyright on:

,----
| Alan Jeffrey
| 
|   src/aelatin.mtx
|   src/aelatint.mtx
|   src/aet1.etx
|   src/ot1tt.etx
| 
| 
| Matthias Koeppe
| 
|   src/aelatin.mtx
| 
| 
| Sebastian Rahtz
| 
|   src/aet1.etx
| 
| 
| Denis Roegel
| 
|   tex/aecompl.sty
| 
| 
| Rolf Niepraschk
| 
|   tex/ae.sty
| 
| 
| Gilbert Ritschard
| 
|   tex/ae.sty
`----

Do you want me to contact these people, or do you prefer taking care of
that yourself?

In the latter case, I can provide you with their email addresses, as I
have collected them as part of my little investigation.

Many thanks for your cooperation.

Regards,

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to "Lars Engebretsen" <lars@engebretsen.se>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #84 received at 356853@bugs.debian.org (full text, mbox):

From: "Lars Engebretsen" <lars@engebretsen.se>
To: "Florent Rougon" <f.rougon@free.fr>
Cc: "Lars Engebretsen" <info@engebretsen.se>, 356853@bugs.debian.org
Subject: Re: Bug#356853: Scalable LaTeX font: Licensing question regarding ae fonts
Date: Sun, 8 Oct 2006 01:59:06 +0200
On 10/1/06, Florent Rougon <f.rougon@free.fr> wrote:
> [ Resending the message to a different address, as the previous one
>   bounced:

(I managed to break my email; the original address should work again
now. Thanks for letting me know.)

> <lars@engebretsen.se>: host resolver3.levonline.com[217.70.32.98] said: 554
>     <lars@engebretsen.se>: Recipient address rejected: no such user (in reply
>     to RCPT TO command) ]
>
> Dear Lars,
>
> "Lars Engebretsen" <lars@engebretsen.se> wrote:
>
> > Basically, I don't really have the energy to care about intricacies of
> > licenses, but if you feel that a) you want to do the work and provide
> > me with a file that I can then upload to CTAN, and b) that this does
> > not change the licensing in such a way that the package can no longer
> > be in teTeX and friends, I'm fine with doing the necessary updates.
>
> Your conditions look very reasonable to me. I discussed this with Frank
> Küster, and we agreed that using the LPPL (the LaTeX Project Public
> License) is probably the most natural choice for the ae package.
>
> I had a look at all source files in order to provide you with a
> ready-to-upload tarball (or zip file, whichever is more convenient to
> you), but there are a few complications: several files weren't written
> by you originally, or have been modified by other people. We need these
> people (i.e., the copyright holders of the files) to tell us that they
> agree distributing these files under the LPPL.
>
> More precisely, I think it would be wise to use the wording suggested in
> the LPPL, i.e. :
>
>   % This work may be distributed and/or modified under the
>   % conditions of the LaTeX Project Public License, either version 1.3
>   % of this license or (at your option) any later version.
>
> You can read the whole LPPL text here:
>
>   http://www.latex-project.org/lppl/lppl-1-3c.html
>
>
> I'll now paste the various contributors I identified, along with the
> files they (appear to) hold copyright on:
>
> ,----
> | Alan Jeffrey
> |
> |   src/aelatin.mtx
> |   src/aelatint.mtx
> |   src/aet1.etx
> |   src/ot1tt.etx
> |
> |
> | Matthias Koeppe
> |
> |   src/aelatin.mtx
> |
> |
> | Sebastian Rahtz
> |
> |   src/aet1.etx
> |
> |
> | Denis Roegel
> |
> |   tex/aecompl.sty
> |
> |
> | Rolf Niepraschk
> |
> |   tex/ae.sty
> |
> |
> | Gilbert Ritschard
> |
> |   tex/ae.sty
> `----
>
> Do you want me to contact these people, or do you prefer taking care of
> that yourself?

Using the LPPL seems great. I have been out of the loop w.r.t. TeX for
a while, so it would suit me best if you could contact these people.

Thanks,

   /Lars

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #89 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: Matthias Koeppe <mkoeppe@mail.math.uni-magdeburg.de>
Cc: "Lars Engebretsen" <lars@engebretsen.se>, 356853@bugs.debian.org
Subject: License of your contribution to the ae package
Date: Sun, 15 Oct 2006 00:24:31 +0200
[Message part 1 (text/plain, inline)]
Dear Matthias,

As part of a license audit in progress for the TeX distributions teTeX
and TeX Live, we Debian[1] TeX maintainers found that a number of files
in the ae package have no license statement, which unfortunately renders
them undistributable.

We think that the most natural choice of license for the ae package
would be the LaTeX Project Public License (LPPL), whose text can be
found at this address:

  http://www.latex-project.org/lppl/

We got the agreement of its current maintainer (Lars Engebretsen, who is
in the Cc field of this mail) to arrange for an update of the ae package
using this license, provided that the various copyright holders give us
the permission to do so.

Looking at the ae package, it appears that you hold copyright on the
following file:

  src/aelatin.mtx

Do you accept that this file be distributed under the LPPL, with the
following statement, as suggested in the latest version of the LPPL?

  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.
  % The latest version of this license is in
  %   http://www.latex-project.org/lppl.txt
  % and version 1.3 or later is part of all distributions of LaTeX
  % version 2005/12/01 or later.

(ideally, you would send your answer in a digitally-signed mail)

Many thanks for your work, and in advance for considering this request.

  [1] http://www.debian.org/

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #94 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>
Cc: "Lars Engebretsen" <lars@engebretsen.se>, 356853@bugs.debian.org
Subject: License of your contribution to the ae package
Date: Sun, 15 Oct 2006 00:28:49 +0200
[Message part 1 (text/plain, inline)]
Dear Sebastian,

As part of a license audit in progress for the TeX distributions teTeX
and TeX Live, we Debian[1] TeX maintainers found that a number of files
in the ae package have no license statement, which unfortunately renders
them undistributable.

We think that the most natural choice of license for the ae package
would be the LaTeX Project Public License (LPPL), whose text can be
found at this address:

  http://www.latex-project.org/lppl/

We got the agreement of its current maintainer (Lars Engebretsen, who is
in the Cc field of this mail) to arrange for an update of the ae package
using this license, provided that the various copyright holders give us
the permission to do so.

Looking at the ae package, it appears that you hold copyright on the
following file:

  src/aet1.etx

Do you accept that this file be distributed under the LPPL, with the
following statement, as suggested in the latest version of the LPPL?

  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.
  % The latest version of this license is in
  %   http://www.latex-project.org/lppl.txt
  % and version 1.3 or later is part of all distributions of LaTeX
  % version 2005/12/01 or later.

(ideally, you would send your answer in a digitally-signed mail)

Many thanks for your work, and in advance for considering this request.

  [1] http://www.debian.org/

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #99 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: Alan Jeffrey <alanje@cogs.susx.ac.uk>
Cc: "Lars Engebretsen" <lars@engebretsen.se>, 356853@bugs.debian.org
Subject: License of your contributions to the ae package
Date: Sun, 15 Oct 2006 00:17:22 +0200
[Message part 1 (text/plain, inline)]
Dear Alan,

As part of a license audit in progress for the TeX distributions teTeX
and TeX Live, we Debian[1] TeX maintainers found that a number of files
in the ae package have no license statement, which unfortunately renders
them undistributable.

We think that the most natural choice of license for the ae package
would be the LaTeX Project Public License (LPPL), whose text can be
found at this address:

  http://www.latex-project.org/lppl/

We got the agreement of its current maintainer (Lars Engebretsen, who is
in the Cc field of this mail) to arrange for an update of the ae package
using this license, provided that the various copyright holders give us
the permission to do so.

Looking at the ae package, it appears that you hold copyright on the
following files:

  src/aelatin.mtx
  src/aelatint.mtx
  src/aet1.etx
  src/ot1tt.etx

Do you accept that these files be distributed under the LPPL, with the
following statement, as suggested in the latest version of the LPPL?

  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.
  % The latest version of this license is in
  %   http://www.latex-project.org/lppl.txt
  % and version 1.3 or later is part of all distributions of LaTeX
  % version 2005/12/01 or later.

(ideally, you would send your answer in a digitally-signed mail)

Many thanks for your work, and in advance for considering this request.

  [1] http://www.debian.org/

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #104 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: Rolf Niepraschk <Rolf.Niepraschk@ptb.de>
Cc: "Lars Engebretsen" <lars@engebretsen.se>, 356853@bugs.debian.org
Subject: License of your contribution to the ae package
Date: Sun, 15 Oct 2006 00:53:32 +0200
[Message part 1 (text/plain, inline)]
Dear Rolf,

As part of a license audit in progress for the TeX distributions teTeX
and TeX Live, we Debian[1] TeX maintainers found that a number of files
in the ae package have no license statement, which unfortunately renders
them undistributable.

We think that the most natural choice of license for the ae package
would be the LaTeX Project Public License (LPPL), whose text can be
found at this address:

  http://www.latex-project.org/lppl/

We got the agreement of its current maintainer (Lars Engebretsen, who is
in the Cc field of this mail) to arrange for an update of the ae package
using this license, provided that the various copyright holders give us
the permission to do so.

Looking at the ae package, it appears that you hold copyright on the
following file:

  tex/ae.sty

Do you accept that this file be distributed under the LPPL, with the
following statement, as suggested in the latest version of the LPPL?

  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.
  % The latest version of this license is in
  %   http://www.latex-project.org/lppl.txt
  % and version 1.3 or later is part of all distributions of LaTeX
  % version 2005/12/01 or later.

(ideally, you would send your answer in a digitally-signed mail)

Many thanks for your work, and in advance for considering this request.

  [1] http://www.debian.org/

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #109 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: 356853@bugs.debian.org
Subject: Licensing ae under the LPPL
Date: Sun, 15 Oct 2006 10:22:30 +0200
I have received this from Alan Jeffrey:

,----
| From: Alan Jeffrey <email address hidden>
| Subject: Re: License of your contributions to the ae package
| To: Florent Rougon <f.rougon@free.fr>
| Date: Sat, 14 Oct 2006 21:15:58 -0500
| 
| Dear Florent,
| 
| I am happy for any files copyrighted to me as part of the ae package to be
| distributed under the LaTeX Project Public License.
| 
| Thanks for your work!
| 
| Alan.
`----

Thanks, Alan!

-- 
Florent



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Matthias Koeppe <mkoeppe@mail.math.uni-magdeburg.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #114 received at 356853@bugs.debian.org (full text, mbox):

From: Matthias Koeppe <mkoeppe@mail.math.uni-magdeburg.de>
To: 356853@bugs.debian.org
Cc: Florent Rougon <f.rougon@free.fr>
Subject: Re: License of your contribution to the ae package
Date: Sun, 15 Oct 2006 10:56:05 +0200
[Message part 1 (text/plain, inline)]
Florent Rougon <f.rougon@free.fr> writes:

> Looking at the ae package, it appears that you hold copyright on the
> following file:
>
>   src/aelatin.mtx
>
> Do you accept that this file be distributed under the LPPL, with the
> following statement, as suggested in the latest version of the LPPL?
>
>   % This work may be distributed and/or modified under the
>   % conditions of the LaTeX Project Public License, either version 1.3
>   % of this license or (at your option) any later version.
>   % The latest version of this license is in
>   %   http://www.latex-project.org/lppl.txt
>   % and version 1.3 or later is part of all distributions of LaTeX
>   % version 2005/12/01 or later.

I accept.

Thanks for your work on the licensing issues.

Regards,
-- 
Matthias Köppe -- http://www.math.uni-magdeburg.de/~mkoeppe
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #119 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: Denis Roegel <Denis.Roegel@loria.fr>
Cc: "Lars Engebretsen" <lars@engebretsen.se>, 356853@bugs.debian.org
Subject: Licence de votre contribution au package ae / License of your contribution to the ae package
Date: Sun, 15 Oct 2006 11:09:26 +0200
[Message part 1 (text/plain, inline)]
[ French version first; English translation follows ]

Bonjour,

Depuis plusieurs mois, les développeurs Debian[1] s'occupant de TeX, et
notamment Frank Küster, travaillent sur un audit des licences des
différents composants de teTeX et TeX Live. Au cours de ce travail, nous
avons trouvé que certains fichiers du package ae n'ont pas de licence
attachée, ce qui les rend malheureusement impossibles à distribuer
légalement.

Nous pensons que le choix le plus naturel pour le package ae serait la
licence LPPL (the LaTeX Project Public License) dont le texte figure à
l'adresse suivante :

  http://www.latex-project.org/lppl/

Nous avons eu l'accord du mainteneur actuel de ae (Lars Engebretsen, qui
est en Cc) pour préparer une mise à jour de ce package utilisant cette
licence, chose que nous ne pouvons faire qu'avec l'accord de chaque
personne détenant un « copyright » sur une partie de ae.

En examinant le package ae, je suis arrivé à la conclusion que vous
détenez un « copyright » sur le fichier suivant :

  tex/aecompl.sty

Acceptez-vous que ce fichier soit distribué sous la licence LPPL, en
utilisant le paragraphe suivant, comme suggéré dans la dernière version
de la LPPL ?

  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.
  % The latest version of this license is in
  %   http://www.latex-project.org/lppl.txt
  % and version 1.3 or later is part of all distributions of LaTeX
  % version 2005/12/01 or later.

(si vous pouviez donner votre réponse dans un mail en anglais, signé
numériquement et envoyé à l'adresse 356853@bugs.debian.org, ce serait
idéal)

Merci pour votre travail, et par avance pour l'attention portée à cette
demande.


  [1] http://www.debian.org/

------------------------------------------------------------------------
Hello,

It has been several months since the Debian[1] developers in charge of
TeX, and most notably Frank Küster, started to work on a license audit
of the various components comprising teTeX and TeX Live. As part of this
work, we found that some files in the ae package have no license
statement, which unfortunately renders them legally undistributable.

We think that the most natural choice of license for the ae package
would be the LaTeX Project Public License (LPPL), whose text can be
found at this address:

  http://www.latex-project.org/lppl/

We got the agreement of its current maintainer (Lars Engebretsen, who is
in the Cc field of this mail) to arrange for an update of the ae package
using this license, which we can only do with the agreement of every
person holding copyright on a part of ae.

Looking at the ae package, it appears that you hold copyright on the
following file:

  src/aecompl.sty

Do you accept that this file be distributed under the LPPL, with the
following statement, as suggested in the latest version of the LPPL?

  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.
  % The latest version of this license is in
  %   http://www.latex-project.org/lppl.txt
  % and version 1.3 or later is part of all distributions of LaTeX
  % version 2005/12/01 or later.

(ideally, you would send your answer in English, in a digitally-signed
mail sent to 356853@bugs.debian.org)

Many thanks for your work, and in advance for considering this request.


  [1] http://www.debian.org/

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #124 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: Gilbert Ritschard <Gilbert.Ritschard@unige.ch>
Cc: "Lars Engebretsen" <lars@engebretsen.se>, 356853@bugs.debian.org
Subject: Licence de votre contribution au package ae / License of your contribution to the ae package
Date: Sun, 15 Oct 2006 11:19:27 +0200
[Message part 1 (text/plain, inline)]
[ French version first; English translation follows ]

Bonjour,

Depuis plusieurs mois, les développeurs Debian[1] s'occupant de TeX, et
notamment Frank Küster, travaillent sur un audit des licences des
différents composants des distributions teTeX et TeX Live. Au cours de
ce travail, nous avons trouvé que certains fichiers du package ae n'ont
pas de licence attachée, ce qui les rend malheureusement impossibles à
distribuer légalement.

Nous pensons que le choix le plus naturel pour le package ae serait la
licence LPPL (the LaTeX Project Public License), dont le texte figure à
l'adresse suivante :

  http://www.latex-project.org/lppl/

Nous avons eu l'accord du mainteneur actuel de ae (Lars Engebretsen, qui
est en Cc) pour préparer une mise à jour de ce package utilisant cette
licence, chose que nous ne pouvons faire qu'avec l'accord de chaque
personne détenant un « copyright » sur une partie de ae.

En examinant le package ae, je suis arrivé à la conclusion que vous
détenez un « copyright » sur le fichier suivant :

  tex/ae.sty

Acceptez-vous que ce fichier soit distribué sous la licence LPPL, en
utilisant le paragraphe suivant, comme suggéré dans la dernière version
de la LPPL ?

  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.
  % The latest version of this license is in
  %   http://www.latex-project.org/lppl.txt
  % and version 1.3 or later is part of all distributions of LaTeX
  % version 2005/12/01 or later.

(si vous pouviez donner votre réponse dans un mail en anglais, signé
numériquement et envoyé à l'adresse 356853@bugs.debian.org, ce serait
idéal)

Merci pour votre travail, et par avance pour l'attention portée à cette
demande.


  [1] http://www.debian.org/

------------------------------------------------------------------------
Hello,

It has been several months since the Debian[1] developers in charge of
TeX, and most notably Frank Küster, started to work on a license audit
of the various components comprising the teTeX and TeX Live
distributions. As part of this work, we found that some files in the ae
package have no license statement, which unfortunately renders them
legally undistributable.

We think that the most natural choice of license for the ae package
would be the LaTeX Project Public License (LPPL), whose text can be
found at this address:

  http://www.latex-project.org/lppl/

We got the agreement of its current maintainer (Lars Engebretsen, who is
in the Cc field of this mail) to arrange for an update of the ae package
using this license, which we can only do with the agreement of every
person holding copyright on a part of ae.

Looking at the ae package, it appears that you hold copyright on the
following file:

  tex/ae.sty

Do you accept that this file be distributed under the LPPL, with the
following statement, as suggested in the latest version of the LPPL?

  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.
  % The latest version of this license is in
  %   http://www.latex-project.org/lppl.txt
  % and version 1.3 or later is part of all distributions of LaTeX
  % version 2005/12/01 or later.

(ideally, you would send your answer in English, in a digitally-signed
mail sent to 356853@bugs.debian.org)

Many thanks for your work, and in advance for considering this request.


  [1] http://www.debian.org/

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Denis.Roegel@loria.fr:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #129 received at 356853@bugs.debian.org (full text, mbox):

From: Denis.Roegel@loria.fr
To: Florent Rougon <f.rougon@free.fr>
Cc: Lars Engebretsen <lars@engebretsen.se>, 356853@bugs.debian.org, roegel@loria.fr
Subject: Re: Licence de votre contribution au package ae / License of your contribution to the ae package
Date: Sun, 15 Oct 2006 12:16:38 +0200
Selon Florent Rougon <f.rougon@free.fr>:

> Looking at the ae package, it appears that you hold copyright on the
> following file:
>
>   src/aecompl.sty
>
> Do you accept that this file be distributed under the LPPL, with the
> following statement, as suggested in the latest version of the LPPL?
>
>   % This work may be distributed and/or modified under the
>   % conditions of the LaTeX Project Public License, either version 1.3
>   % of this license or (at your option) any later version.
>   % The latest version of this license is in
>   %   http://www.latex-project.org/lppl.txt
>   % and version 1.3 or later is part of all distributions of LaTeX
>   % version 2005/12/01 or later.
>
> (ideally, you would send your answer in English, in a digitally-signed
> mail sent to 356853@bugs.debian.org)

Yes, I accept that this file be disrtributed under the LPPL,
with the above statement.

Regards,

Denis Roegel




Tags added: etch-ignore Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Gilbert Ritschard <Gilbert.Ritschard@metri.unige.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #136 received at 356853@bugs.debian.org (full text, mbox):

From: Gilbert Ritschard <Gilbert.Ritschard@metri.unige.ch>
To: 356853@bugs.debian.org
Cc: 'Lars Engebretsen' <lars@engebretsen.se>, 'Florent Rougon' <f.rougon@free.fr>
Subject: RE: Licence de votre contribution au package ae / License of your contribution to the ae package
Date: Sun, 15 Oct 2006 17:40:47 +0200
[Message part 1 (text/plain, inline)]
Hello,

This is to confirm that I accept that the file

  ae.sty

be distributed under the LPPL, with the following statement
 
   % This work may be distributed and/or modified under the
   % conditions of the LaTeX Project Public License, either version 1.3
   % of this license or (at your option) any later version.
   % The latest version of this license is in
   %   http://www.latex-project.org/lppl.txt
   % and version 1.3 or later is part of all distributions of LaTeX
   % version 2005/12/01 or later.

However, as far as I remember, my contribution to the file was really just
only two lines. I would have no problem to leave the copyright to Lars
Engebretsen.

Regards,


Gilbert Ritschard
______________________________
Gilbert Ritschard, Department of Econometrics, University of Geneva, 
40 bd du Pont-d'Arve, CH-1211 Geneva 4, Switzerland
Tel: +4122 379 8233/8229 Fax: +4122 379 8299
http://mephisto.unige.ch/ 


> -----Original Message-----
> From: Florent Rougon [mailto:f.rougon@free.fr]
> Sent: Sunday, October 15, 2006 11:19
> To: Gilbert Ritschard
> Cc: Lars Engebretsen; 356853@bugs.debian.org
> Subject: Licence de votre contribution au package ae / License of your
> contribution to the ae package
> 
> [ French version first; English translation follows ]
> 
> Bonjour,
> 
> Depuis plusieurs mois, les développeurs Debian[1] s'occupant de TeX, et
> notamment Frank Küster, travaillent sur un audit des licences des
> différents composants des distributions teTeX et TeX Live. Au cours de
> ce travail, nous avons trouvé que certains fichiers du package ae n'ont
> pas de licence attachée, ce qui les rend malheureusement impossibles à
> distribuer légalement.
> 
> Nous pensons que le choix le plus naturel pour le package ae serait la
> licence LPPL (the LaTeX Project Public License), dont le texte figure à
> l'adresse suivante :
> 
>   http://www.latex-project.org/lppl/
> 
> Nous avons eu l'accord du mainteneur actuel de ae (Lars Engebretsen, qui
> est en Cc) pour préparer une mise à jour de ce package utilisant cette
> licence, chose que nous ne pouvons faire qu'avec l'accord de chaque
> personne détenant un « copyright » sur une partie de ae.
> 
> En examinant le package ae, je suis arrivé à la conclusion que vous
> détenez un « copyright » sur le fichier suivant :
> 
>   tex/ae.sty
> 
> Acceptez-vous que ce fichier soit distribué sous la licence LPPL, en
> utilisant le paragraphe suivant, comme suggéré dans la dernière version
> de la LPPL ?
> 
>   % This work may be distributed and/or modified under the
>   % conditions of the LaTeX Project Public License, either version 1.3
>   % of this license or (at your option) any later version.
>   % The latest version of this license is in
>   %   http://www.latex-project.org/lppl.txt
>   % and version 1.3 or later is part of all distributions of LaTeX
>   % version 2005/12/01 or later.
> 
> (si vous pouviez donner votre réponse dans un mail en anglais, signé
> numériquement et envoyé à l'adresse 356853@bugs.debian.org, ce serait
> idéal)
> 
> Merci pour votre travail, et par avance pour l'attention portée à cette
> demande.
> 
> 
>   [1] http://www.debian.org/
> 
> ------------------------------------------------------------------------
> Hello,
> 
> It has been several months since the Debian[1] developers in charge of
> TeX, and most notably Frank Küster, started to work on a license audit
> of the various components comprising the teTeX and TeX Live
> distributions. As part of this work, we found that some files in the ae
> package have no license statement, which unfortunately renders them
> legally undistributable.
> 
> We think that the most natural choice of license for the ae package
> would be the LaTeX Project Public License (LPPL), whose text can be
> found at this address:
> 
>   http://www.latex-project.org/lppl/
> 
> We got the agreement of its current maintainer (Lars Engebretsen, who is
> in the Cc field of this mail) to arrange for an update of the ae package
> using this license, which we can only do with the agreement of every
> person holding copyright on a part of ae.
> 
> Looking at the ae package, it appears that you hold copyright on the
> following file:
> 
>   tex/ae.sty
> 
> Do you accept that this file be distributed under the LPPL, with the
> following statement, as suggested in the latest version of the LPPL?
> 
>   % This work may be distributed and/or modified under the
>   % conditions of the LaTeX Project Public License, either version 1.3
>   % of this license or (at your option) any later version.
>   % The latest version of this license is in
>   %   http://www.latex-project.org/lppl.txt
>   % and version 1.3 or later is part of all distributions of LaTeX
>   % version 2005/12/01 or later.
> 
> (ideally, you would send your answer in English, in a digitally-signed
> mail sent to 356853@bugs.debian.org)
> 
> Many thanks for your work, and in advance for considering this request.
> 
> 
>   [1] http://www.debian.org/
> 
> --
> Florent
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #141 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: Gilbert Ritschard <Gilbert.Ritschard@metri.unige.ch>
Cc: 356853@bugs.debian.org
Subject: Re: License of your contribution to the ae package
Date: Sun, 15 Oct 2006 18:18:39 +0200
Gilbert Ritschard <Gilbert.Ritschard@metri.unige.ch> wrote:

> This is to confirm that I accept that the file
>
>   ae.sty
>
> be distributed under the LPPL, with the following statement
>  
>    % This work may be distributed and/or modified under the
>    % conditions of the LaTeX Project Public License, either version 1.3
>    % of this license or (at your option) any later version.
>    % The latest version of this license is in
>    %   http://www.latex-project.org/lppl.txt
>    % and version 1.3 or later is part of all distributions of LaTeX
>    % version 2005/12/01 or later.

Thank you very much for your prompt and positive reply.

> However, as far as I remember, my contribution to the file was really just
> only two lines. I would have no problem to leave the copyright to Lars
> Engebretsen.

That's quite possible. I just had no easy way to determine the extent of
your contribution, and therefore whether it was actually
"copyrightable".

Regards,

-- 
Florent



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to sebastian.rahtz@oucs.ox.ac.uk (Sebastian Rahtz):
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #146 received at 356853@bugs.debian.org (full text, mbox):

From: sebastian.rahtz@oucs.ox.ac.uk (Sebastian Rahtz)
To: Florent Rougon <f.rougon@free.fr>
Cc: Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>, Lars Engebretsen <lars@engebretsen.se>, 356853@bugs.debian.org
Subject: Re: License of your contribution to the ae package
Date: Sun, 15 Oct 2006 22:59:20 +0100
[Message part 1 (text/plain, inline)]
> 
> Do you accept that this file be distributed under the LPPL, with the
> following statement, as suggested in the latest version of the LPPL?
> 
>   % This work may be distributed and/or modified under the
>   % conditions of the LaTeX Project Public License, either version 1.3
>   % of this license or (at your option) any later version.
>   % The latest version of this license is in
>   %   http://www.latex-project.org/lppl.txt
>   % and version 1.3 or later is part of all distributions of LaTeX
>   % version 2005/12/01 or later.

thats fine by me.

> (ideally, you would send your answer in a digitally-signed mail)
> 
I'll try...

sebastian

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to sebastian.rahtz@oucs.ox.ac.uk (Sebastian Rahtz):
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #151 received at 356853@bugs.debian.org (full text, mbox):

From: sebastian.rahtz@oucs.ox.ac.uk (Sebastian Rahtz)
To: Lars Engebretsen <lars@engebretsen.se>, 356853@bugs.debian.org
Subject: Re: License of your contribution to the ae package
Date: Sun, 15 Oct 2006 23:00:46 +0100
[Message part 1 (text/plain, inline)]
Not sure if that worked (signing). Lets try again,
agreeing to the LPPL license

sebastian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #156 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: sebastian.rahtz@oucs.ox.ac.uk (Sebastian Rahtz)
Cc: 356853@bugs.debian.org
Subject: Re: License of your contribution to the ae package
Date: Mon, 16 Oct 2006 01:00:42 +0200
sebastian.rahtz@oucs.ox.ac.uk (Sebastian Rahtz) wrote:

>>   % This work may be distributed and/or modified under the
>>   % conditions of the LaTeX Project Public License, either version 1.3
>>   % of this license or (at your option) any later version.
>>   % The latest version of this license is in
>>   %   http://www.latex-project.org/lppl.txt
>>   % and version 1.3 or later is part of all distributions of LaTeX
>>   % version 2005/12/01 or later.
>
> thats fine by me.

Great, thank you.

>> (ideally, you would send your answer in a digitally-signed mail)
>> 
> I'll try...

Success! Your signature verifies without any problem.

Regards,

-- 
Florent



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #161 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: Rolf Niepraschk <rolf.niepraschk@gmx.de>
Cc: 356853@bugs.debian.org
Subject: License of your contribution to the ae package
Date: Tue, 07 Nov 2006 19:26:56 +0100
[Message part 1 (text/plain, inline)]
Dear Rolf,

I'm trying to reach you again using a different address, because my
previous attempt[1] with your @ptb.de address failed.

As part of a license audit in progress for the TeX distributions teTeX
and TeX Live, we Debian[2] TeX maintainers found that a number of files
in the ae package have no license statement, which unfortunately renders
them undistributable.

We think that the most natural choice of license for the ae package
would be the LaTeX Project Public License (LPPL), whose text can be
found at this address:

  http://www.latex-project.org/lppl/

We got the agreement of its current maintainer, Lars Engebretsen, to
arrange for an update of the ae package using this license, provided
that the various copyright holders give us the permission to do so (all
of them already did, except you).

Looking at the ae package, it appears that you hold copyright on the
following file:

  tex/ae.sty

Do you accept that this file be distributed under the LPPL, with the
following statement, as suggested in the latest version of the LPPL?

  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.
  % The latest version of this license is in
  %   http://www.latex-project.org/lppl.txt
  % and version 1.3 or later is part of all distributions of LaTeX
  % version 2005/12/01 or later.

(ideally, you would send your answer in a digitally-signed mail)

Many thanks for your work, and in advance for considering this request.

  [1] http://lists.debian.org/debian-tex-maint/2006/10/msg00595.html

  [2] http://www.debian.org/

-- 
Florent
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #166 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: Rolf Niepraschk <Rolf.Niepraschk@gmx.de>
Cc: "Lars Engebretsen" <lars@engebretsen.se>, 356853@bugs.debian.org
Subject: Re: License of your contribution to the ae package
Date: Wed, 08 Nov 2006 13:22:21 +0100
Hi,

Rolf Niepraschk <Rolf.Niepraschk@gmx.de> wrote:

> My account has been changed: Rolf.Niepraschk@ptb.de. It would be nice if
> you can change this also in "ae.sty".

This address is the one I tried previously. So, you mean we should use
the @gmx.de one instead, right?

From a pratical point of view, I think I'll put your name and that of
Gilbert Ritschard in the Copyright line of ae.sty (as hinted by ae's
README), and will inlude the names along with the email addresses in an
AUTHORS file, so that there is only one place to update when an email
address changes.

> Of course you can change it. All my packages have LPPL license.

Great, thank you very much. We now have the permission from all
copyright holders I could identify for ae. :-)

When I have some time, I'll submit an updated package to Lars with the
LPPL license applied to all files, which he can review and upload to
CTAN.

Thanks to all who made this possible.

Regards,

-- 
Florent



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #171 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Florent Rougon <f.rougon@free.fr>
Cc: 356853@bugs.debian.org
Subject: Re: License of your contribution to the ae package
Date: Fri, 20 Apr 2007 15:20:50 +0200
Hi Florent,

Florent Rougon <f.rougon@free.fr> wrote:

> Great, thank you very much. We now have the permission from all
> copyright holders I could identify for ae. :-)
>
> When I have some time, I'll submit an updated package to Lars with the
> LPPL license applied to all files, which he can review and upload to
> CTAN.
>
> Thanks to all who made this possible.

any chance that you find time for this?

TIA, Frank
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #176 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 363061@bugs.debian.org
Cc: 356853@bugs.debian.org
Subject: Our inherited tetex-extra license bugs
Date: Fri, 20 Apr 2007 18:02:20 +0200
Hi,

I have taken the time to check whether these two bugs actually still
apply to any texlive package.

#356853
bbm fonts       (KB: under way)
chapterbib.sty (Donald Arseneau)
concmath       (Ulrik Vieth)
tabls.sty,import.sty,relsize.sty,shapepar.sty,version.sty,selectp.sty (DA)

This is still in texlive (at least some of Donald's files).  I think
I've already tried to contact him, time to do it again.

index.doc (Not In TexLive)
eepic docs
ae (waiting for Florent)

eepic needs to be addressed


#363061
palatcm  (Not In TexLive)
amslatex (under way)
seminar.sty (separate bug, under way)

So this could get a lenny-ignore, in case the AMS people don't get
amslatex sorted out in time.

Regards, Frank
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #181 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: 356853@bugs.debian.org
Subject: Re: License of your contribution to the ae package
Date: Fri, 20 Apr 2007 19:06:58 +0200
Hi,

Frank Küster <frank@kuesterei.ch> wrote:

> Hi Florent,

[...]

> any chance that you find time for this?

This is now done. Sorry for taking so much time, but this is one of
those boring tasks with unclear non-technical choices[1] to make, so...

  [1] Who are the copyright holders for $file? Which years to put in the
      copyright notice? Is the file even copyrightable? etc.

-- 
Florent



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #186 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: "Lars Engebretsen" <lars@engebretsen.se>
Cc: 356853@bugs.debian.org
Subject: Re: Relicensing the ae package under the LPPL
Date: Fri, 20 Apr 2007 19:00:34 +0200
[Message part 1 (text/plain, inline)]
Dear Lars,

Please let me apologize for taking so much time to get back to you. I
have now prepared a tarball[1] of the ae package relicensed under the LaTeX
Project Public License, as we discussed in September and October 2006.

What I have done precisely is the following:

  - I added a file called MANIFEST that contains the list of files the
    ae package consists of. This list of files is what defines "the
    Work" when applying the LaTeX Project Public License to the ae
    package.

    This list was obtained with the following command (typed from the
    base directory of the ae package):

      find . -type f | sed -e 's@^\./@@'

    If you add or remove any file from the distribution, you should
    update the list in MANIFEST.

  - I replaced the text of the GNU GPL in the file COPYING with the text
    of the current version of the LPPL (version 1.3c, 2006-05-20).

  - In README, I added the following paragraph:

  Licensing terms
  ~~~~~~~~~~~~~~~

  This work is distributed under the conditions of the LaTeX Project Public
  License, either version 1.3 or (at your option) any later version. Please
  refer to the file COPYING for details.

    I also changed your (presumably old) address from enge@nada.kth.se
    to lars@engebretsen.se, since it seems to be the correct way to
    reach you these days. Finally, I updated the date at the end of
    README to 2007-04-20.

  - In the src and tex directories, I added a copyright notice and
    licensing statement as follows, at the beginning of every
    non-trivial file:

  %% ae.sty
  %% Copyright 1997-2001 Rolf Niepraschk, Gilbert Ritschard, Lars Engebretsen
  %
  % This work may be distributed and/or modified under the
  % conditions of the LaTeX Project Public License, either version 1.3
  % of this license or (at your option) any later version.
  % The latest version of this license is in
  %   http://www.latex-project.org/lppl.txt
  % and version 1.3 or later is part of all distributions of LaTeX
  % version 2005/12/01 or later.
  %
  % This work has the LPPL maintenance status `maintained'.
  % 
  % The Current Maintainer of this work is Lars Engebretsen.
  %
  % This work consists of all files listed in MANIFEST.
  %

    As you can see, these copyright notices state the names of the
    copyright holders and the years where "the work was authored and/or
    last substantially modified" (quoting the LPPL).

    Of course, I don't have enough information to fill this accurately
    for every file of the ae package. I did my best to put something
    sensible, using the information in each file (declarations in
    \author commands, for instance), in the README and, when I couldn't
    find any date for a given file, using its date as distributed in the
    ae.zip I downloaded from CTAN. When I couldn't find any information
    on the copyright holders for a given file, I assumed you were the
    only copyright holder.

    If you can correct some of these copyright notices, please do so
    (the copyright notice is the line that says
    "Copyright <years> <authors>").

    Note: as far as I know, an author and a year in a copyright notice
          must be added only if the modifications are copyrightable
          (non-trivial).

  - I didn't modify any file in the tfm and vf directories, because:

      (1) it seems they are all generated from files in tex and src;

      (2) they are in binary format and maybe cannot even embed a
          copyright notice and licensing statement.

  - I think some files in the src directory were generated with fontinst
    (.mtx files) but I added the copyright notice and licensing
    statement anyway. Maybe for such files, the copyright attribution
    should go to the fontinst authors, I'm not sure: the case of
    generated files is a bit complicated. I'd say that, how they should
    be licensed depends on the licensing details of fontinst and where
    the "creative parts" in these files comes from (either from
    fontinst, or from you input files, or from both). Hmmmpf...

  - I made sure all files have decent Unix permissions before creating
    the .zip file.

I did *not* bump any version number nor change any date except the date
at the end of the README file. I think it's your call to decide whether
you think this relicensing should change the ae version number.
Personally, I think it would be clearer to release the new package as
version 1.4a, but since no functionality changed since version 1.4, it's
probably not mandatory.

Again, thank you very much for your cooperation. I also want to thank
again the other copyright holders who gave their permission promptly for
this relicensing.

Please upload the new .zip file to CTAN so that we can eventually have a
nice licensing of ae. Feel free to ask me if you have any question.

Regards,


  [1] Actually, I'm attaching a .zip file, because it is the format I
      got ae in when I downloaded it from CTAN. I can provide a .tar.gz
      file at your convenience.
[Message part 2 (application/pgp-signature, inline)]
[ae.zip (application/zip, attachment)]
[Message part 4 (text/plain, inline)]
-- 
Florent, on behalf of the Debian TeX maintainers

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #191 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Florent Rougon <f.rougon@free.fr>
Cc: 356853@bugs.debian.org
Subject: Re: Bug#356853: License of your contribution to the ae package
Date: Fri, 20 Apr 2007 22:34:53 +0200
Florent Rougon <f.rougon@free.fr> wrote:

> Hi,
>
> Frank Küster <frank@kuesterei.ch> wrote:
>
>> Hi Florent,
>
> [...]
>
>> any chance that you find time for this?
>
> This is now done. 

Great, merci beaucoup.  You've forwarded it to Lars, so that he'll do
the upload?

> Sorry for taking so much time, but this is one of
> those boring tasks with unclear non-technical choices[1] to make, so...

No need to apologize.  I also didn't want to bug you, just ask: I looked
through texlive's RC bugs and found these two, inherited from tetex...

Regards, Frank
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #196 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: 356853@bugs.debian.org
Subject: Re: Bug#356853: License of your contribution to the ae package
Date: Fri, 20 Apr 2007 23:02:20 +0200
Frank Küster <frank@debian.org> wrote:

> Great, merci beaucoup.  You've forwarded it to Lars, so that he'll do
> the upload?

Yes, it's the previous message in the bug log. But indeed, I don't
recall having seen it on -tex-maint. Maybe because it has an attachment
of approx. 230 Ko? Hmmm...

> No need to apologize.  I also didn't want to bug you, just ask: I looked
> through texlive's RC bugs and found these two, inherited from tetex...

But all the contributors responded positively several months ago, so
that *had* to be done...

-- 
Florent



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to "Lars Engebretsen" <lars@engebretsen.se>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #201 received at 356853@bugs.debian.org (full text, mbox):

From: "Lars Engebretsen" <lars@engebretsen.se>
To: "Lars Engebretsen" <lars@engebretsen.se>, 356853@bugs.debian.org
Subject: Re: Relicensing the ae package under the LPPL
Date: Wed, 9 May 2007 11:53:11 +0200
Thanks for doing all this work! I have now uploaded the updated package to CTAN.

   /Lars

2007/4/20, Florent Rougon <f.rougon@free.fr>:
> Dear Lars,
>
> Please let me apologize for taking so much time to get back to you. I
> have now prepared a tarball[1] of the ae package relicensed under the LaTeX
> Project Public License, as we discussed in September and October 2006.
>
> What I have done precisely is the following:
>
>   - I added a file called MANIFEST that contains the list of files the
>     ae package consists of. This list of files is what defines "the
>     Work" when applying the LaTeX Project Public License to the ae
>     package.
>
>     This list was obtained with the following command (typed from the
>     base directory of the ae package):
>
>       find . -type f | sed -e 's@^\./@@'
>
>     If you add or remove any file from the distribution, you should
>     update the list in MANIFEST.
>
>   - I replaced the text of the GNU GPL in the file COPYING with the text
>     of the current version of the LPPL (version 1.3c, 2006-05-20).
>
>   - In README, I added the following paragraph:
>
>   Licensing terms
>   ~~~~~~~~~~~~~~~
>
>   This work is distributed under the conditions of the LaTeX Project Public
>   License, either version 1.3 or (at your option) any later version. Please
>   refer to the file COPYING for details.
>
>     I also changed your (presumably old) address from enge@nada.kth.se
>     to lars@engebretsen.se, since it seems to be the correct way to
>     reach you these days. Finally, I updated the date at the end of
>     README to 2007-04-20.
>
>   - In the src and tex directories, I added a copyright notice and
>     licensing statement as follows, at the beginning of every
>     non-trivial file:
>
>   %% ae.sty
>   %% Copyright 1997-2001 Rolf Niepraschk, Gilbert Ritschard, Lars Engebretsen
>   %
>   % This work may be distributed and/or modified under the
>   % conditions of the LaTeX Project Public License, either version 1.3
>   % of this license or (at your option) any later version.
>   % The latest version of this license is in
>   %   http://www.latex-project.org/lppl.txt
>   % and version 1.3 or later is part of all distributions of LaTeX
>   % version 2005/12/01 or later.
>   %
>   % This work has the LPPL maintenance status `maintained'.
>   %
>   % The Current Maintainer of this work is Lars Engebretsen.
>   %
>   % This work consists of all files listed in MANIFEST.
>   %
>
>     As you can see, these copyright notices state the names of the
>     copyright holders and the years where "the work was authored and/or
>     last substantially modified" (quoting the LPPL).
>
>     Of course, I don't have enough information to fill this accurately
>     for every file of the ae package. I did my best to put something
>     sensible, using the information in each file (declarations in
>     \author commands, for instance), in the README and, when I couldn't
>     find any date for a given file, using its date as distributed in the
>     ae.zip I downloaded from CTAN. When I couldn't find any information
>     on the copyright holders for a given file, I assumed you were the
>     only copyright holder.
>
>     If you can correct some of these copyright notices, please do so
>     (the copyright notice is the line that says
>     "Copyright <years> <authors>").
>
>     Note: as far as I know, an author and a year in a copyright notice
>           must be added only if the modifications are copyrightable
>           (non-trivial).
>
>   - I didn't modify any file in the tfm and vf directories, because:
>
>       (1) it seems they are all generated from files in tex and src;
>
>       (2) they are in binary format and maybe cannot even embed a
>           copyright notice and licensing statement.
>
>   - I think some files in the src directory were generated with fontinst
>     (.mtx files) but I added the copyright notice and licensing
>     statement anyway. Maybe for such files, the copyright attribution
>     should go to the fontinst authors, I'm not sure: the case of
>     generated files is a bit complicated. I'd say that, how they should
>     be licensed depends on the licensing details of fontinst and where
>     the "creative parts" in these files comes from (either from
>     fontinst, or from you input files, or from both). Hmmmpf...
>
>   - I made sure all files have decent Unix permissions before creating
>     the .zip file.
>
> I did *not* bump any version number nor change any date except the date
> at the end of the README file. I think it's your call to decide whether
> you think this relicensing should change the ae version number.
> Personally, I think it would be clearer to release the new package as
> version 1.4a, but since no functionality changed since version 1.4, it's
> probably not mandatory.
>
> Again, thank you very much for your cooperation. I also want to thank
> again the other copyright holders who gave their permission promptly for
> this relicensing.
>
> Please upload the new .zip file to CTAN so that we can eventually have a
> nice licensing of ae. Feel free to ask me if you have any question.
>
> Regards,
>
>
>   [1] Actually, I'm attaching a .zip file, because it is the format I
>       got ae in when I downloaded it from CTAN. I can provide a .tar.gz
>       file at your convenience.
>
> --
> Florent, on behalf of the Debian TeX maintainers
>
>
>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #206 received at 356853@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: "Lars Engebretsen" <lars@engebretsen.se>, 356853@bugs.debian.org
Subject: Re: Bug#356853: Relicensing the ae package under the LPPL
Date: Thu, 10 May 2007 23:30:18 +0200
"Lars Engebretsen" <lars@engebretsen.se> wrote:

> Thanks for doing all this work! I have now uploaded the updated
> package to CTAN.

That's great. Thank you very much, Lars.

I cannot see the new version on CTAN yet, but I suppose it's a matter of
days.

Regards,

-- 
Florent



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #211 received at 356853@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: debian-tex-maint@lists.debian.org, 356853@bugs.debian.org
Subject: Chasing RC bugs in texlive packages
Date: Thu, 6 Sep 2007 09:49:38 +0200
merge 356853 363061
thanks

Hi all,

I am a bit sick of the RC bugs, so let's try to eliminate them:

texlive-lang:
	#368968: tetex-base: License violation in csplain
	#439028: non-free files in texlive 
		both will be fixed by the next upload I will do today

texlive-extra:
	#429813: no license and copyright information for tex/latex/tableaux/* 
		see my other email
		That is quite hard to solve, if someone can take that
		over and help, otherwise I propose to blacklist
		this tpm.

texlive-bin:
	#436965: latexmp.pdf has to be removed from the .orig.tar.gz, too 
		I already created a new .orig.tar.gz to be found
		on people/~preining/TeX/src/
		So that can easily be solved by a new upload, but I
		don't want to do an upload *only* for this.

texlive-base:
	#356853: Contains files without any license statement 
	#363061: Contains non-free runtime files 
		see below

So what is left are the files in the two bugs #356853, #363061.
I have merged them and discussion will continue on 356853.

Frank did a recollection in April, coming down to

* bbm fonts [OPEN]
	Frank mentioned that there is something on the way via Karl Berry
	is there any progress?
	the macro package is lppl, only the fonts miss a license
	statement
	Should we contact the font author: Gilles F. ROBERT
		gfrobert@umpa.ens-lyon.fr

* concmath [CLOSED???]
	the latex and font packages are under LPPL
		see CTAN/macros/latex/contrib/concmath/README
		and CTAN/fonts/concmath/README
	so what is the problem here, can someone tell me this?
	
* Donald Arsenau files [OPEN]
	Frank, AFAIR you had some discussion with Donald. Did you
	get an email at least stating the freeness, so we could include
	the email in the copyright file ...

* eepic docs [OPEN]
	I assume it is the file eepic.tex which lacks any statement.
	Puh, it was written in 1988, du we really expect to get any
	answer from Conrad Kwok <kwok@iris.ucdavis.edu>
	No idea if this email is still working and he is still there.
	One is taking this up and trying to contact him?

* ae [CLOSED ON CTAN]
	This is already solved, updated package is on CTAN
	I guess we could include simply the MANIFEST, COPYING, and
	README file from CTAN.

* amslatex [HALF-OPEN]
	Positive answer from AMS, but no progress after this
	Anyone heard anything else?

* seminar.sty [CLOSED]
	already fixed in 2007, mentions lppl in all the files


As you know I am leaving for some time, but if one or the other can take
up one or the other of the above points and try to track them down that
would be great.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
MEMPHIS (n.)
The little bits of yellow fluff which get trapped in the hinge of the
windscreen wipers after polishing the car with a new duster.
			--- Douglas Adams, The Meaning of Liff



Bug reassigned from package `tetex-extra' to `texlive-latex-base'. Request was from Norbert Preining <preining@logic.at> to control@bugs.debian.org. (Thu, 06 Sep 2007 08:00:01 GMT) Full text and rfc822 format available.

Merged 356853 363061. Request was from Norbert Preining <preining@logic.at> to control@bugs.debian.org. (Thu, 06 Sep 2007 08:00:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #220 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: debian-tex-maint@lists.debian.org, 356853@bugs.debian.org
Subject: Re: Chasing RC bugs in texlive packages
Date: Thu, 06 Sep 2007 19:56:43 +0200
Norbert Preining <preining@logic.at> wrote:

> I have merged them and discussion will continue on 356853.

Good.

> Frank did a recollection in April, coming down to
>
> * bbm fonts [OPEN]
> 	Frank mentioned that there is something on the way via Karl Berry
> 	is there any progress?

No idea, heard nothing.

> * concmath [CLOSED???]
> 	the latex and font packages are under LPPL
> 		see CTAN/macros/latex/contrib/concmath/README
> 		and CTAN/fonts/concmath/README
> 	so what is the problem here, can someone tell me this?

I have contacted Ulrik about other license issues, and I guess I
mentioned concmath too, but didn't Cc it to this bug (it's probably in a
bug report of tetex-doc about fontinst docs).  Consider this fixed.
Err, wait, is the catalogue up-to-date?

> * Donald Arsenau files [OPEN]
> 	Frank, AFAIR you had some discussion with Donald. Did you
> 	get an email at least stating the freeness, so we could include
> 	the email in the copyright file ...

I never got an answer.  I think I even asked on the TL list whether
anyone has better connections to him, but don't remember any result.

> * eepic docs [OPEN]
> 	I assume it is the file eepic.tex which lacks any statement.
> 	Puh, it was written in 1988, du we really expect to get any
> 	answer from Conrad Kwok <kwok@iris.ucdavis.edu>
> 	No idea if this email is still working and he is still there.
> 	One is taking this up and trying to contact him?

I think we should at least give it two tries (direct mail, 10 minutes
looking for the name via google and ucdavis.edu).  But if that doesn't
result in a prompt answer, I would remove the docs.  Anyone still using
eepic will know how to get it from CTAN.

Updating the catalogue might be harder, since I guess it treats docs and
style as one entity.

> * ae [CLOSED ON CTAN]
> 	This is already solved, updated package is on CTAN
> 	I guess we could include simply the MANIFEST, COPYING, and
> 	README file from CTAN.

... and make sure the catalogue is up-to-date, for generating our
copyright file.

> * amslatex [HALF-OPEN]
> 	Positive answer from AMS, but no progress after this
> 	Anyone heard anything else?

Well, we've got a timeline for the next release but no answer to my
"will this include the license fix?" question.  If we get this answer,
this can get a lenny-ignore tag for sure, without an answer maybe too,
based on the older information which gave the etch-ignore.

The new version won't be in lenny anyway, if we follow our plan not to
go for TL 08 (and I see no reasons to change that decision).

Regards, Frank
-- 
Frank Küster
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #225 received at 356853@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Frank Küster <frank@debian.org>
Cc: debian-tex-maint@lists.debian.org, 356853@bugs.debian.org
Subject: Re: Chasing RC bugs in texlive packages
Date: Thu, 6 Sep 2007 22:37:00 +0200
On Don, 06 Sep 2007, Frank Küster wrote:
> > * bbm fonts [OPEN]
> > 	Frank mentioned that there is something on the way via Karl Berry
> > 	is there any progress?
> 
> No idea, heard nothing.

Ok, should be tracked.

> > * concmath [CLOSED???]
[..]
> bug report of tetex-doc about fontinst docs).  Consider this fixed.

ok close this.

> Err, wait, is the catalogue up-to-date?

I don't know, and I don't care. For now it is more important that the
actual files are free, not the the catalogue entry is right. 

> > * Donald Arsenau files [OPEN]
[..]
> I never got an answer.  I think I even asked on the TL list whether
> anyone has better connections to him, but don't remember any result.

Hmm, I remember seeing an email from you or Donald. Maybe that was a
wine induce hallucination.

> > * eepic docs [OPEN]
[..]
> I think we should at least give it two tries (direct mail, 10 minutes
> looking for the name via google and ucdavis.edu).  But if that doesn't

Looking for the name via google didn't show up much when I tried it
today. Can you or someone else write an email to the address we have,
and try another 10min?

> result in a prompt answer, I would remove the docs.  Anyone still using
> eepic will know how to get it from CTAN.

Ok, after I am back I will remove the stuff ..

> > * ae [CLOSED ON CTAN]
[..]
> ... and make sure the catalogue is up-to-date, for generating our
> copyright file.

see above...

> > * amslatex [HALF-OPEN]
[..]
> Well, we've got a timeline for the next release but no answer to my
> "will this include the license fix?" question.  If we get this answer,

Can you retry to ask ...

> The new version won't be in lenny anyway, if we follow our plan not to
> go for TL 08 (and I see no reasons to change that decision).

Me too. Depending on the release time of lenny.

Ok, off.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
CANNOCK CHASE (n.)
In any box of After Eight Mints, there is always a large number of
empty envelopes and no more that four or five actual mints. The
cannock chase is the process by which, no matter which part of the box
often, you will always extract most of the empty sachets before
pinning down an actual minot, or 'cannock'. The cannock chase also
occurs with people who put their dead matches back in the matchbox,
and then embarrass themselves at parties trying to light cigarettes
with tree quarters of an inch of charcoal. The term is also used to
describe futile attempts to pursue unscrupulous advertising agencies
who nick your ideas to sell chocolates with.
			--- Douglas Adams, The Meaning of Liff



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #230 received at 356853@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: debian-tex-maint@lists.debian.org, 356853@bugs.debian.org
Subject: Re: Chasing RC bugs in texlive packages
Date: Tue, 2 Oct 2007 09:08:40 +0200
FYI

On Do, 06 Sep 2007, Frank Küster wrote:
> > * ae [CLOSED ON CTAN]
> > 	This is already solved, updated package is on CTAN
> > 	I guess we could include simply the MANIFEST, COPYING, and
> > 	README file from CTAN.

I updated this in the texlive upstream subversion repository, so this
part could get a 
	+fixed-upstream
But I hesitate to update the files in the .orig.tar.gz, it is quite a
lot of work/complication. What do people say?

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
SCREGGAN (n. banking)
The crossed-out bit caused by people putting the wrong year on their
cheques all through January.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #235 received at 356853@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: debian-tex-maint@lists.debian.org, 356853@bugs.debian.org
Subject: Re: Chasing RC bugs in texlive packages
Date: Tue, 2 Oct 2007 09:21:06 +0200
And another one closed:

On Do, 06 Sep 2007, Frank Küster wrote:
> > * bbm fonts [OPEN]
> > 	Frank mentioned that there is something on the way via Karl Berry
> > 	is there any progress?
> 
> No idea, heard nothing.

Don't know what was the problem here? The readme of bbm explicitely
mentions:
 This package can redistributed and/or modified under the terms of the
 LaTeX Project Public License Distributed from CTAN archives in
 directory macros/latex/base/lppl.txt; either version 1 of the
 License, or (at your option) any later version.

I guess the real problem is that the readme.bbm is NOT installed because
it is present only in the SourceFiles section which are not installed.
I guess I will fix this upstream in texlive and we can forget about
this, too.


That leaves us with:

> > * Donald Arsenau files [OPEN]

	open

> > * eepic docs [OPEN]

	I will simply remove the docs and if someone cares he should
	get it on CTAN

> > * amslatex [HALF-OPEN]

	can be considered half-open as Frank mentioned

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
HUBY (n.)
A half-erection large enough to be a publicly embarrassing bulge in
the trousers, not large enough to be of any use to anybody.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #240 received at 356853@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: debian-tex-maint@lists.debian.org
Cc: 356853@bugs.debian.org
Subject: license cleanup day
Date: Fri, 9 May 2008 09:22:51 +0200
Hi guys, 

I have worked a bit through the license bugs:

texlive-extra now seems to be clean, I will upload it soon.
  * blacklist tpm/camel as it is nosell, thus we need a new .orig.tar.gz
    (Closes: #479832)
  * add a license statement from Robert Gilles about the bbm fonts to
    Licenses file (Closes: #479097)
  * add a license statement from Michael NÃŒsken about the 
    computational-complexity packages to the Licenses file (Closes: #477152)

texlive-base:
We have bugs #356853 and ##477060

#477060 I consider valid for an lenny-ignore since we are definitely in
process of fixing that

In #356853 there I wrote some time:
> > * Donald Arsenau files [OPEN]
> > * eepic docs [OPEN]
> > * amslatex [HALF-OPEN]

The amslatex is part of bug 477060, the eepic docs I have now
blacklisted in texlive-base source package (but wait for more before
uploading).

That leaves us with Donald Arsenau's files.

Can someone write to Donald again, an email would be enough for us to
get this fixed. I mean an email from him stating that ...

Thanks

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
CROMARTY (n.)
The brittle sludge which clings to the top of ketchup bottles and
plastic tomatoes in nasty cafes.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #245 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: debian-tex-maint@lists.debian.org, 356853@bugs.debian.org
Subject: Re: license cleanup day
Date: Mon, 26 May 2008 23:13:36 +0200
Norbert Preining <preining@logic.at> wrote:

> Hi guys, 
>
> I have worked a bit through the license bugs:

Thank you very much!

> texlive-extra now seems to be clean, I will upload it soon.
>   * blacklist tpm/camel as it is nosell, thus we need a new .orig.tar.gz
>     (Closes: #479832)
>   * add a license statement from Robert Gilles about the bbm fonts to
>     Licenses file (Closes: #479097)

Hm, only half of it. I have started a page on the wiki,
http://wiki.debian.org/AccumulativeLicensingBugs, which lists separately
the issues raised in those cumulative bugs, the first entry is about the
bbm fonts:

   1. bbm fonts (bbm.tpm):
          * No licensing info, no catalogue info in 2006
          * A separate bug since May 08, #479097
          * Closed because of a statement from upstream
          * Upload to CTAN and registering in the TeX Catalogue is missing (2008-05-26) 

so that we won't forget these important bits that make our live easier
next time...

The other should follow, but I'm too tired now.

Regards, Frank
-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #250 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: TeXLive <tex-live@tug.org>
Cc: 356853@bugs.debian.org
Subject: license of Donald Arsenau's files, contact info? (was: license cleanup day)
Date: Mon, 26 May 2008 23:15:41 +0200
Hi everybody,

Norbert Preining <preining@logic.at> wrote:

> That leaves us with Donald Arsenau's files.

[which usually don't contain proper license info according to today's
criteria]

> Can someone write to Donald again, an email would be enough for us to
> get this fixed. I mean an email from him stating that ...

I'm not even sure I have a valid e-mail address of him. Actually, I'm
not even sure I wrote his name correctly...

Can anyone help on the TeXLive list?

Regards, Frank

-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to reinhard.kotucha@web.de:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #255 received at 356853@bugs.debian.org (full text, mbox):

From: Reinhard Kotucha <reinhard.kotucha@web.de>
To: Frank Küster <frank@debian.org>
Cc: TeXLive <tex-live@tug.org>, 356853@bugs.debian.org
Subject: [tex-live] license of Donald Arsenau's files, contact info? (was: license cleanup day)
Date: Tue, 27 May 2008 00:26:18 +0200
Frank Küster writes:

 > I'm not even sure I have a valid e-mail address of him. Actually, I'm
 > not even sure I wrote his name correctly...

Donald Arseneau <asnd@triumf.ca>

Regards,
  Reinhard

-- 
----------------------------------------------------------------------------
Reinhard Kotucha			              Phone: +49-511-3373112
Marschnerstr. 25
D-30167 Hannover	                      mailto:reinhard.kotucha@web.de
----------------------------------------------------------------------------
Microsoft isn't the answer. Microsoft is the question, and the answer is NO.
----------------------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Robin Fairbairns <Robin.Fairbairns@cl.cam.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #260 received at 356853@bugs.debian.org (full text, mbox):

From: Robin Fairbairns <Robin.Fairbairns@cl.cam.ac.uk>
To: reinhard.kotucha@web.de
Cc: Frank Küster <frank@debian.org>, TeXLive <tex-live@tug.org>, 356853@bugs.debian.org
Subject: Re: [tex-live] license of Donald Arsenau's files, contact info? (was: license cleanup day)
Date: Mon, 26 May 2008 23:37:59 +0100
Reinhard Kotucha <reinhard.kotucha@web.de> wrote:

> Frank Küster writes:
> 
>  > I'm not even sure I have a valid e-mail address of him. Actually, I'm
>  > not even sure I wrote his name correctly...
> 
> Donald Arseneau <asnd@triumf.ca>

good luck.  i've already written once asking for clarification of the
cite bundle -- iirc 3 of the 4 packages are ok, but chapterbib is
unsullied with licence info.

he hasn't replied, though he generally replies to technical mails from
me.

robin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #265 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Robin Fairbairns <Robin.Fairbairns@cl.cam.ac.uk>
Cc: 356853@bugs.debian.org, reinhard.kotucha@web.de, TeXLive <tex-live@tug.org>
Subject: Re: Bug#356853: [tex-live] license of Donald Arsenau's files, contact info?
Date: Tue, 27 May 2008 21:45:08 +0200
Robin Fairbairns <Robin.Fairbairns@cl.cam.ac.uk> wrote:

> Reinhard Kotucha <reinhard.kotucha@web.de> wrote:
>
>> Frank Küster writes:
>> 
>>  > I'm not even sure I have a valid e-mail address of him. Actually, I'm
>>  > not even sure I wrote his name correctly...
>> 
>> Donald Arseneau <asnd@triumf.ca>
>
> good luck.  i've already written once asking for clarification of the
> cite bundle -- iirc 3 of the 4 packages are ok, but chapterbib is
> unsullied with licence info.
>
> he hasn't replied, though he generally replies to technical mails from
> me.

So that boils down to: Is there a person he will give sent an answer on
such a question?  Or is there some other *way* to convince him to care
about this?

Anyway, I'd rather nobody asks him *now*, since we should first make a
list of what we think he should do, to make it easy for him - and not
just tell him "what's the status of all your stuff?".  A list of his
files as I found them in teTeX and TeXLive can be found at
http://wiki.debian.org/ProblematicCtanPackages, but I'm not completely
sure that it is complete.

Regards, Frank
-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #270 received at 356853@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Debian Bug Control Server <control@bugs.debian.org>
Cc: 356853@bugs.debian.org
Subject: unmerging, we can close one of them
Date: Tue, 27 May 2008 23:04:51 +0200
unmerge 356853
thanks

All issues raised in this bug report have either been solved, or opened
as separate bug reports. Therefore I'm unmerging it from the other one
(in which there might be still some unresolved issues) in order to close
it.

Regards, Frank

-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Disconnected #356853 from all other report(s). Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. (Tue, 27 May 2008 21:06:08 GMT) Full text and rfc822 format available.

Reply sent to Frank Küster <frank@kuesterei.ch>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frank Küster <frank@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #277 received at 356853-done@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 356853-done@bugs.debian.org
Subject: Re: unmerging, we can close one of them
Date: Tue, 27 May 2008 23:16:30 +0200
Version: 2007-14

Frank Küster <frank@kuesterei.ch> wrote:

> unmerge 356853
> thanks
>
> All issues raised in this bug report have either been solved, or opened
> as separate bug reports. Therefore I'm unmerging it from the other one
> (in which there might be still some unresolved issues) in order to close
> it.

Done
-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#356853; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #282 received at 356853@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: 356853@bugs.debian.org
Subject: Re: Bug#356853: marked as done (Contains files without any license statement)
Date: Wed, 28 May 2008 10:38:33 +0200
On 27.05.08 Debian Bug Tracking System (owner@bugs.debian.org) wrote:

Hi,

> Your message dated Tue, 27 May 2008 23:16:30 +0200
> with message-id <87hccjbg7l.fsf@riesling.zuerich.kuesterei.ch>
> and subject line Re: unmerging, we can close one of them
> has caused the Debian Bug report #356853,
> regarding Contains files without any license statement
> to be marked as done.
> 
You're my hero! Many thanks for going through *this* bug and pulling
out the relevant informations.

Hilmar
-- 
sigmentation fault




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:16:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:15:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.